if [ ! -d "./logs" ]; then
    mkdir ./logs
fi

model_name=MMFNet
#SparseTSF
#MixLinear

root_path_name=./dataset/
data_path_name=ETTh2.csv
model_id_name=ETTh2
data_name=ETTh2

seq_len=720
#seq_len=360

for scale in   720
#for scale in  4 24 120 360 720
do
for pred_len in   96 192 336 720

do
  python3 -u run_longExp.py \
    --is_training 1 \
    --root_path $root_path_name \
    --data_path $data_path_name \
    --model_id $model_id_name'_'$seq_len'_'$pred_len \
    --model $model_name \
    --data $data_name \
    --features M \
    --seq_len $seq_len \
    --pred_len $pred_len \
    --period_len $scale \
    --enc_in 7 \
    --train_epochs 10 \
    --patience 5 \
    --gpu 3 \
    --itr 1 --batch_size 64 --learning_rate 0.001 > logs/${model_name}_${data_name}_${seq_len}_${pred_len}_scale_${scale}.log  &
done
done


